
package de.ivu.elect.dokumente.ergebnistabelle;

import de.ivu.elect.business.ergebnis.entity.Stimmabgabeart;
import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;

public class AbstractErgebnistabelleZeilenSchluessel {

  protected ErgebnistabelleZeileArt zeileArt;

  protected Stimmabgabeart stimmabgabeart;

  protected Wahldurchfuehrungsgebiet gebiet;

  public AbstractErgebnistabelleZeilenSchluessel(ErgebnistabelleZeileArt zeileArt, Stimmabgabeart stimmabgabeart, Wahldurchfuehrungsgebiet gebiet) {
    super();

    this.zeileArt = zeileArt;
    this.stimmabgabeart = stimmabgabeart;
    this.gebiet = gebiet;
  }

  public boolean isSumme() {
    return ErgebnistabelleZeileArt.SUMME.equals(getZeileArt());
  }

  public boolean isErfassungseinheit() {
    return ErgebnistabelleZeileArt.ERFASSUNGSEINHEIT.equals(getZeileArt());
  }

  public ErgebnistabelleZeileArt getZeileArt() {
    return zeileArt;
  }

  public boolean isStimmabgabeartGesamt() {
    return stimmabgabeart.isGesamt();
  }

  public Stimmabgabeart getStimmabgabeart() {
    return stimmabgabeart;
  }

  public Wahldurchfuehrungsgebiet getGebiet() {
    return gebiet;
  }
}
